
QGIS Application - Bug report #20832

EnMAP-box        Interactive Visualization of Vegetation Reflection Models            Flashback

2018-12-18 09:45 AM - YI XU

Status: Rejected

Priority: Normal

Assignee:

Category: C++ Plugins

Affected QGIS version:3.4.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 28651

Description

User Feedback

Interactive Visualization of Vegetation Reflection Models

Flashback

Report Details

Crash ID: 0ac101fa3637f384c4eb7fee822be1f0e5534c08

Stack Trace

QGraphicsViewPrivate::mouseMoveEventHandler :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyMethodDef_RawFastCallDict :

PyObject_Call :

PyInit_sip :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

An error has occurred while executing Python code:

RuntimeError: wrapped C/C++ object of type GraphicsScene has been deleted 

Traceback (most recent call last):

  File "C:\PROGRA~1\QGIS 3.4\apps\Python37\lib\site-packages\pyqtgraph\GraphicsScene\GraphicsScene.py", line 162, in

mouseMoveEvent

    self.sendHoverEvents(ev)

  File "C:\PROGRA~1\QGIS 3.4\apps\Python37\lib\site-packages\pyqtgraph\GraphicsScene\GraphicsScene.py", line 229, in

sendHoverEvents

    self.sigMouseHover.emit(items)

RuntimeError: wrapped C/C++ object of type GraphicsScene has been deleted

Python version: 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)] 

QGIS version: 3.4.2-Madeira Madeira, 22034aa070

Python Path:

C:/PROGRA~1/QGIS 3.4/apps/qgis/./python

C:/Users/XUYIRS/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/XUYIRS/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

C:/PROGRA~1/QGIS 3.4/apps/qgis/./python/plugins

C:\Program Files\QGIS 3.4\bin\python37.zip

C:\PROGRA~1\QGIS 3.4\apps\Python37\DLLs

C:\PROGRA~1\QGIS 3.4\apps\Python37\lib

C:\Program Files\QGIS 3.4\bin

C:\PROGRA~1\QGIS 3.4\apps\Python37

C:\PROGRA~1\QGIS 3.4\apps\Python37\lib\site-packages

C:\PROGRA~1\QGIS 3.4\apps\Python37\lib\site-packages\win32

C:\PROGRA~1\QGIS 3.4\apps\Python37\lib\site-packages\win32\lib

C:\PROGRA~1\QGIS 3.4\apps\Python37\lib\site-packages\Pythonwin

C:/Users/XUYIRS/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/XUYIRS/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\enmapboxplugin

C:\Users\XUYIRS\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\enmapboxplugin\site-packages

C:\Users\XUYIRS\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\enmapboxplugin\enmapbox

C:\Users\XUYIRS\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\enmapboxplugin\enmapbox\coreapps

C:\Users\XUYIRS\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\enmapboxplugin\enmapbox\apps

History

#1 - 2018-12-18 10:01 AM - Nyall Dawson

- Resolution set to invalid
- Status changed from Open to Rejected

plugin issue - not a QGIS issue. You need to file this report with the plugin's author.

2025-04-26 3/3


